Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model
Class Location

    java.lang.Object
      org.teleal.cling.model.Location

    public class Location

extends Object

The IP address/port, MAC address, and URI path of a (network) location.

Used when sending messages about local devices and services to other UPnP participants on the network, such as where our device/service descriptors can be found or what callback address to use for event message delivery. We also let them know our MAC hardware address so they can wake us up from sleep with Wake-On-LAN if necessary.

Author:
  Christian Bauer

Field Summary
`protected NetworkAddress` | `networkAddress`
`protected URI` | `path`

Constructor Summary
`Location(NetworkAddress networkAddress, URI path)`

Method Summary
`boolean` | `equals(Object o)`
`NetworkAddress` | `getNetworkAddress()`
`URI` | `getPath()`
`URL` | `getURL()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### networkAddress

    protected NetworkAddress networkAddress

### path

    protected URI path

Constructor Detail

### Location

    public Location(NetworkAddress networkAddress,
                    URI path)

Method Detail

### getNetworkAddress

    public NetworkAddress getNetworkAddress()

### getPath

    public URI getPath()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getURL

    public URL getURL()

  Returns:
    An HTTP URL with the address, port, and path of this location.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.